Bug 35776

Summary: [BREWMP] Share OwnPtr.
Product: WebKit Reporter: Kwang Yul Seo <skyul>
Component: Web Template FrameworkAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: beergun, commit-queue
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Other   
OS: Other   
Bug Depends on:    
Bug Blocks: 33564    
Attachments:
Description Flags
Patch none

Description Kwang Yul Seo 2010-03-04 19:35:44 PST
Share OwnPtr implementation with BREW MP and remove OwnPtrBrew. There is no reason to keep platform specific OwnPtr implementation.
Comment 1 Kwang Yul Seo 2010-03-04 19:39:45 PST
Created attachment 50081 [details]
Patch
Comment 2 Eric Seidel (no email) 2010-03-05 12:48:22 PST
Comment on attachment 50081 [details]
Patch

OK.  Sorry I didn't catch this when you first posted the patch.

Don't we need to fix callsites too?
Comment 3 Kwang Yul Seo 2010-03-05 16:51:35 PST
(In reply to comment #2)
> (From update of attachment 50081 [details])
> OK.  Sorry I didn't catch this when you first posted the patch.
> 
> Don't we need to fix callsites too?

I will update the patches in bug 34705, bug 34323 and bug 34412.
Comment 4 WebKit Commit Bot 2010-03-06 05:57:29 PST
Comment on attachment 50081 [details]
Patch

Clearing flags on attachment: 50081

Committed r55621: <http://trac.webkit.org/changeset/55621>
Comment 5 WebKit Commit Bot 2010-03-06 05:57:33 PST
All reviewed patches have been landed.  Closing bug.